Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class FilterManager.FilterItem

    java.lang.Object
      org.apache.lucene.search.FilterManager.FilterItem

Enclosing class:
  FilterManager

    protected class FilterManager.FilterItem

extends Object

Holds the filter and the last time the filter was used, to make LRU-based cache cleaning possible. TODO: Clean this up when we switch to Java 1.5

Field Summary
`Filter` | `filter`
`long` | `timestamp`

Constructor Summary
`FilterManager.FilterItem(Filter filter)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### filter

    public Filter filter

### timestamp

    public long timestamp

Constructor Detail

### FilterManager.FilterItem

    public FilterManager.FilterItem(Filter filter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.